using rskibbe.Validation.Models;
using rskibbe.Validation.Contracts;

namespace RskibbeValidationCsWinformsExample;

public partial class Form1 : Form
{

    protected IValidator _validator;

    public Form1()
    {
        InitializeComponent();
        _validator = Validator
            .New
            .For(() => tbFirstName.Text, "First name")
            .NotNull()
            .LengthBetween(1, 30)
            .SameFor(() => tbMiddleName.Text, "Middle name")
            .SameFor(() => tbLastName.Text, "Last name")
            .Validator;
    }

    private void btnOk_Click(object sender, EventArgs e)
    {
        IValidationResult result = _validator.Validate();
        if (result.IsInvalid)
        {
            // display something from "result"
            MessageBox.Show("Please check the input fields!");
            // early return
            return;
        }
    }

}
